﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.ObjectModel;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace Chart_GettingStarted
{
    public class ViewModel
    {
        public ObservableCollection<Model> Data { get; set; }

        private DateTime Date = new DateTime(2018, 11, 01);

        public ViewModel()
        {
            Data = new ObservableCollection<Model>();

            Random random = new Random();

            for (int i = 0; i < 10; i++)
            {
                Data.Add(new Model() { XValue = Date, YValue = random.Next(10, 100) });
                Date = Date.AddDays(3);
            }
            
        }


    }

    public class Model
    {
        public DateTime XValue { get; set; }

        public double YValue { get; set; }
    }

}